DOTCMD:
dc$=ucase$(left$(a$,3)):dval%=val(right$(a$,len(a$)-3))
if dc$=".PA" then gosub FORCED.EOP
if dc$=".CP" then \CONDITIONAL PAGE
	if (dval%+lin%) > (page.len%-(top.margin%+bottom.margin%)) then \
		gosub FORCED.EOP
if dc$=".OP" then page.numbering%=false%
if dc$=".PN" then page%=dval%
if dc$=".PL" then page.len%=dval%
if dc$=".MT" then margin.top%=dval%
if dc$=".MB" then margin.bottom%=dval%
if dc$=".RM" then right.mar%=dval%:gosub DPLSET
if dc$=".HE" then header$=right$(a$,len(a$)-4)
if dc$=".HM" then heading.mar%=dval%
if dc$=".FO" then footing$=right$(a$,len(a$)-4)
if dc$=".FM" then footing.mar%=dval%
if dc$=".PO" then \
	if dval%>0 then \LEFT MARGIN CANNOT BE ZERO!!
		page.offset%=dval% \RESETS LEFT PRINTER MARGIN
	ELSE page.offset%=1
if dc$=".PO" then \
	print chr$(27)+chr$(9)+chr$(page.offset%)+ \
		chr$(27)+chr$(57);:gosub DPLSET
if dc$=".JN" then right.justify%=true%
if dc$=".SP" then spacing%=dval%
if dc$=".CN" then center.next.line%=true%
return
